Undercloud upgrades job failing in stable/pike branch

Bug #1769103 reported by Jose Luis Franco on 2018-05-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Medium
Jose Luis Franco

Bug Description

Undercloud upgrades CI job tripleo-ci-centos-7-undercloud-upgrades is failing in stable/pike branch with the following error:

2018-04-27 06:14:22.716693 | primary | TASK [tripleo-upgrade : register used service environment files] ***************
2018-04-27 06:14:22.742715 | primary | Friday 27 April 2018 06:14:22 +0000 (0:00:05.764) 0:01:58.523 **********
2018-04-27 06:14:25.015160 | primary | changed: [undercloud]
2018-04-27 06:14:25.057331 | primary |
2018-04-27 06:14:25.057521 | primary | TASK [tripleo-upgrade : create container images download script] ***************
2018-04-27 06:14:25.083792 | primary | Friday 27 April 2018 06:14:25 +0000 (0:00:02.341) 0:02:00.864 **********
2018-04-27 06:14:25.195489 | primary | fatal: [undercloud]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: 'ansible_br_ctlplane' is undefined"}

Log: http://logs.openstack.org/89/563989/3/check/tripleo-ci-centos-7-undercloud-upgrades/719e893/job-output.txt.gz

CI job logs: http://logs.openstack.org/89/563989/3/check/tripleo-ci-centos-7-undercloud-upgrades/719e893/

Jose Luis Franco (jfrancoa) wrote :

undercloud upgrades playbook doesn't have the gather_facts option set: https://github.com/openstack/tripleo-quickstart-extras/blob/master/playbooks/multinode-undercloud-upgrade.yml#L15 , so it can't identify the ansible_br_ctlplane fact as it is being done in other upgrades playbooks: https://github.com/openstack/tripleo-quickstart-extras/blob/master/playbooks/multinode-overcloud-upgrade-new.yml#L37

Fix proposed to branch: master
Review: https://review.openstack.org/566263

Changed in tripleo:
assignee: nobody → Jose Luis Franco (jfrancoa)
status: Triaged → In Progress
Changed in tripleo:
milestone: none → rocky-2

Reviewed: https://review.openstack.org/570357
Committed: https://git.openstack.org/cgit/openstack/tripleo-upgrade/commit/?id=a19f4556d0ac73bfe548a0fe59dfe01d9ca3df0d
Submitter: Zuul
Branch: stable/pike

commit a19f4556d0ac73bfe548a0fe59dfe01d9ca3df0d
Author: Jose Luis Franco Arza <email address hidden>
Date: Thu May 24 11:26:08 2018 +0200

    Separate scripts creation tasks for under/overcloud.

    The upgrade/update tasks in tripleo-upgrade started
    with a create-scripts book, which generated most of
    the scripts from the templates. However, this book
    mixed the creation of scripts needed for the overcloud
    as well as for the undercloud. This becomes an issue
    when we want to perform only an undercloud upgrade, as
    we are running tasks intended to the overcloud and it
    might not even exist.
    This patch divides the script creation tasks used for
    the undercloud from the ones used for the overcloud.

    Change-Id: I7e6c288dd0f974901fb85acb1ac806bcd4d9ee4d
    Closes-Bug: #1769103
    (cherry picked from commit abc439355ee433db4a1e21c8da31d8f48b7b03e5)

tags: added: in-stable-pike
Changed in tripleo:
milestone: rocky-2 → rocky-3
Changed in tripleo:
milestone: rocky-3 → rocky-rc1
Changed in tripleo:
milestone: rocky-rc1 → stein-1
Changed in tripleo:
milestone: stein-1 → stein-2
Changed in tripleo:
milestone: stein-2 → stein-3
Changed in tripleo:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers